Bug 449079 - Google calendar syncing has stopped working
Summary: Google calendar syncing has stopped working
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: Google Resource (show other bugs)
Version: 5.19.1
Platform: Neon Linux
: NOR major with 10 votes (vote)
Target Milestone: ---
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-24 15:55 UTC by Riccardo Robecchi
Modified: 2022-03-15 15:34 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Riccardo Robecchi 2022-01-24 15:55:04 UTC
SUMMARY
Google calendar syncing, and possibly other features as well, has stopped working. Even adding a Google account to KOrganizer doesn't work: it correctly brings up the list of calendars in the settings, but then shows no calendars at all.
Running "akonadictl restart" shows this:

org.kde.kgapi: Bad request, Google replied ' "Contacts API is being deprecated. Migrate to People API to retain programmatic access to Google Contacts. See https://developers.google.com/people/contacts-api-migration." '
org.kde.pim.google: Got error: KGAPI2::ContactsGroupFetchJob(0x5575dfe03030) "Bad request."


STEPS TO REPRODUCE
1. Add a Google account to KOrganizer 

OBSERVED RESULT
No calendars are loaded.

EXPECTED RESULT
Calendars are loaded.

SOFTWARE/OS VERSIONS
Linux: KDE neon
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION
Multiple people confirm the bug in this Reddit thread: https://www.reddit.com/r/kde/comments/s9fpnd/kde_pim_and_gmail/
Comment 1 Riccardo Robecchi 2022-01-24 15:56:55 UTC
Just to be clear: adding an account does work, but removing and re-adding the account doesn't fix the issue.
Comment 2 cartes 2022-02-18 15:52:15 UTC
Same error with kalendar
I can add my google account as source of software, but it does not appear in the list of calendars so impossible to select it

akonadictl restart give these error messages :
org.kde.pim.google: Got error: KGAPI2::ContactsGroupFetchJob(0x55653fd9c4b0) "Requête incorrecte."
org.kde.pim.akonadiserver: Subscriber "" disconnected
org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7fe5b80997b0) )
...
org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7fe5b80997b0) identified as "ETMCalendarMonitor - 94274449508384"
org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7fe5b80aa060) identified as "InternalEmailAddressSelectionWidgetModel - 94274450233712"
org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7fe5b80b3990) identified as "TagModelMonitor - 94274450251200"
org.kde.pim.akonadiserver: Cannot connect to agent instance with identifier 'akonadi_imap_resource_0', error message: ''
Comment 3 Riccardo Robecchi 2022-03-15 15:34:34 UTC
This appears to have been fixed. Closing it.